Automatic Upgrade fails

mwolfaardt
Bear Rating Trainee
Bear Rating Trainee
Posts: 2
Joined: 03 Apr 2014, 00:21

Automatic Upgrade fails

Postby mwolfaardt » 03 Apr 2014, 00:27

Hi,
When I try to upgrade from version 1.7.6 to version 1.12 using the upgrade in preferences. I get the following error messages :

Ready to update.
Work directory: /home/stdp161x1/public_html
Checking for tar...
Checking for gunzip...
Checking for latest version...
Target version: 1.12
Proceeding to download...
Downloading distribution tarball...
Saving download to /tmp/tt-rssf9wsFk
Extracting tarball...
Target directory (/home/stdp161x1/Tiny-Tiny-RSS-1.12) not found.

I had a look, the permissions is correct, I've also try to create the folder,thinking that the file might overwrite the folder, but with no luck. I would like to rather do this automated upgrade than the manual upgrade.

Thank you

User avatar
fox
^ me reading your posts ^
Posts: 6318
Joined: 27 Aug 2005, 22:53
Location: Saint-Petersburg, Russia
Contact:

Re: Automatic Upgrade fails

Postby fox » 03 Apr 2014, 01:40

Your version is too old. You'll have to upgrade manually.

e: wait no, it's using the proper download URL. Strange.

e2: github download service seems to be down.

mwolfaardt
Bear Rating Trainee
Bear Rating Trainee
Posts: 2
Joined: 03 Apr 2014, 00:21

Re: Automatic Upgrade fails

Postby mwolfaardt » 03 Apr 2014, 11:22

Thanks for the reply, I'll try to do a manual update, I've been having this problem for a while now.

achel
Bear Rating Trainee
Bear Rating Trainee
Posts: 5
Joined: 04 Jul 2013, 13:49

Re: Automatic Upgrade fails

Postby achel » 21 Jul 2014, 00:02

Hi, I have the same problem (from the beginning) :

Prêt à mettre à jour.
Work directory: /home/.sites/33/site5/web
Checking for tar...
Checking for gunzip...
Checking for latest version...
Target version: 1.13
Proceeding to download...
Downloading distribution tarball...
Saving download to /tmp/tt-rssgF3tRw
Extracting tarball...
Target directory (/home/.sites/33/site5/Tiny-Tiny-RSS-1.13) not found.

I'm on my own server, ttrss have his own domain, and it seems that it have been programmed to be installed inside a subdirectory ... is It not possible to define a variable to declare that ttrss have his own domain/subdomain and have an appropiate upgrade script downlading the zip upgrade inside a download directory inside the vhosts (not inside the server /tmp) and targetting inside a good extracting directory and not in the root of the vhost ? It's really boring to make every upgrades manually when it exist an upgrade script not working on dedicated vhost ...

User avatar
fox
^ me reading your posts ^
Posts: 6318
Joined: 27 Aug 2005, 22:53
Location: Saint-Petersburg, Russia
Contact:

Re: Automatic Upgrade fails

Postby fox » 21 Jul 2014, 00:31

We're all very sorry about how bored you are. Maybe, I dunno, use something else, less boring.

Alternatively, stop whining and switch to git. The zip updater is more or less a crutch for dumb people who can't figure it out.

randompherret
Bear Rating Trainee
Bear Rating Trainee
Posts: 36
Joined: 04 Jul 2013, 08:11

Re: Automatic Upgrade fails

Postby randompherret » 21 Jul 2014, 05:59

I vote for removing the updater completely.

koalabear7410
Bear Rating Trainee
Bear Rating Trainee
Posts: 10
Joined: 10 Apr 2013, 05:09

Re: Automatic Upgrade fails

Postby koalabear7410 » 21 Jul 2014, 07:13

Updater is worthless on the TI-85 port. Axe it.

User avatar
AndrzejL
Bear Rating Trainee
Bear Rating Trainee
Posts: 5
Joined: 21 Jul 2014, 07:15
Location: Location Location Location!

Re: Automatic Upgrade fails

Postby AndrzejL » 21 Jul 2014, 07:22


User avatar
fox
^ me reading your posts ^
Posts: 6318
Joined: 27 Aug 2005, 22:53
Location: Saint-Petersburg, Russia
Contact:

Re: Automatic Upgrade fails

Postby fox » 21 Jul 2014, 09:18

Oh no, what will happen without forumposter whatshisface Standing Behind The Project. Let me just fetch the list of your commits:

achel
Bear Rating Trainee
Bear Rating Trainee
Posts: 5
Joined: 04 Jul 2013, 13:49

Re: Automatic Upgrade fails

Postby achel » 21 Jul 2014, 12:15

Hi Fox, I'm not whining ... that's only my third post and I use TTRS practicaly from the beginning so I upgraded it manually when It need and I'm able to do it right (3 posts in several years I dont't call that whining). I just don't understand why there is an upgrade script that didn't works when you dedicate a whole vhost to TTRSS instead of putting it into a subdirectory as an extention of a website because this script don't take this case of installation as normal. If you put TTRSS inside the root of your vhosts it try to decompress the archive behind the working path :

Work directory: /home/.sites/33/site5/web -> Target directory (/home/.sites/33/site5/Tiny-Tiny-RSS-1.13) not found.

So, at the place of beeing rude when somebody reports you an irregularity and saying that all the other people using the upgrade script are some dumb ass unable to use GIT command : try to correct the script, it will be smarter.

User avatar
AndrzejL
Bear Rating Trainee
Bear Rating Trainee
Posts: 5
Joined: 21 Jul 2014, 07:15
Location: Location Location Location!

Re: Automatic Upgrade fails

Postby AndrzejL » 21 Jul 2014, 12:49


User avatar
fox
^ me reading your posts ^
Posts: 6318
Joined: 27 Aug 2005, 22:53
Location: Saint-Petersburg, Russia
Contact:

Re: Automatic Upgrade fails

Postby fox » 21 Jul 2014, 13:01

Sick burns ITT.

User avatar
blainemono
Gaping Anus of Eternity
Gaping Anus of Eternity
Posts: 246
Joined: 05 Jun 2009, 18:13

Re: Automatic Upgrade fails

Postby blainemono » 21 Jul 2014, 13:07

Hey guys, let's make this AndrzejL a moderator here, he seems to know what he is talking about.

User avatar
fox
^ me reading your posts ^
Posts: 6318
Joined: 27 Aug 2005, 22:53
Location: Saint-Petersburg, Russia
Contact:

Re: Automatic Upgrade fails

Postby fox » 21 Jul 2014, 13:08


achel
Bear Rating Trainee
Bear Rating Trainee
Posts: 5
Joined: 04 Jul 2013, 13:49

Re: Automatic Upgrade fails

Postby achel » 21 Jul 2014, 14:21

Thks fox to explain me that the updater is only made in a specific configuration and his goal (so I uninstall it, I don't need it anymore on my installation). Just wanna know if there would be a modification of the script to permit to upgrade for different installation case in the future (not monkey proofed as electrical plug for children despite people don't have childrens) or a fork letting upgrade ttrss in the case it is installed in his own vhost. It's just a question not a need, I'm perfectly able to upgrade ttrss, just wanting to know why it the was not working for my installation : I totaly respect the point of view now I know why.


Return to “Comedy bistro”

Who is online

Users browsing this forum: No registered users and 0 guests